Subject: Horseradish

From: [email-masked] (JMBehnke)
Date: 20 Feb 1995 14:27:47 -0500

We accidently roto-tilled our horseradish one year and now we have
horseradish coming up everywhere.  Does anyone know a good way of
eliminating it.  Digging hasn't worked because one little piece of root
grows into a new plant.